Выборочный API сервисов Google Play не находит классы

Я обновил игровые сервисы до последней версии, которая в настоящее время составляет 9.2.0, и я также хочу использовать выборочные модули для сервисов Google Play.

// compile 'com.google.android.gms:play-services:9.2.0' compile 'com.google.android.gms:play-services-maps:9.2.0' compile 'com.google.android.gms:play-services-analytics:9.2.0' compile 'com.google.android.gms:play-services-gcm:9.2.0' compile 'com.google.android.gms:play-services-location:9.2.0' 

Проблема, с которой я сталкиваюсь, заключается в том, что теперь импорт такой:

 import com.google.android.gms.location.places.Place; import com.google.android.gms.location.places.AutocompleteFilter; import com.google.android.gms.location.places.AutocompletePrediction; import com.google.android.gms.location.places.Place; import com.google.android.gms.location.places.PlaceBuffer; import com.google.android.gms.location.places.Places; 

Больше не может быть разрешено, хотя в их документации указано, что службы определения местоположения также должны предоставлять функции Places.

Может ли кто-нибудь помочь мне в этом вопросе? Спасибо.

Solutions Collecting From Web of "Выборочный API сервисов Google Play не находит классы"

Основываясь на комментарии, добавленном @Selvin, мне удалось найти решение для моей проблемы.

Похоже, что в версии 9.xx API сервисов Google Play для мест был перемещен из места play-services-location play-services-places . Таким образом, теперь у меня есть следующие зависимости для API сервисов Google Play :

 // compile 'com.google.android.gms:play-services:9.2.0' compile 'com.google.android.gms:play-services-maps:9.2.0' compile 'com.google.android.gms:play-services-analytics:9.2.0' compile 'com.google.android.gms:play-services-gcm:9.2.0' compile 'com.google.android.gms:play-services-location:9.2.0' compile 'com.google.android.gms:play-services-places:9.2.0'